const { DataTypes } = require("sequelize");
const sequelize = require("../config/db");

const Friend = sequelize.define("Friend", {
  id: {
    type: DataTypes.UUID,
    defaultValue: DataTypes.UUIDV4,
    primaryKey: true,
  },
  status: {
    type: DataTypes.ENUM("pending", "accepted"),
    defaultValue: "pending",
  },
});

module.exports = Friend;
